Subject: Re: gcc can't find cpp
From: [email-masked] (Vince Rice)

16 Jan 1999 17:17:59 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Geoffrey Noer <[email-masked]>
Cc: [email-masked]

> Hey, you callin' me a Martian?  :-)

Gieal igjfrsnik zlsie! <g>

> It's set up to cope with having a single tree that contains native and
> cross-compilers for different hosts.  Most people under Win32 don't
> need this complex a structure which is why a fair number of people
> complain about it.

Well, all I would ask is how many of the people using Cygnus from the net are
doing cross-compiling, different hosts, or even different versions of Cygnus on
the same machine? I know there ARE some, I suspect they're the vast minority.

> That said, it's possible we should change the structure for the Net
> distributions.  We'll think about it...

That would be AWESOME!!! By moving around directories, I managed to get something
approaching a "normal" directory strucutre, i.e. underneath g:\cygnus is
    /bin
    /etc
    /u
    /usr
        /usr/bin
        /usr/css
        /usr/etc
        /usr/include
        /usr/lib
        /usr/libexec
        /usr/local
            /usr/local/bin
            /usr/local/include
            /usr/local/info
            /usr/local/lib
            /usr/local/man
            /usr/local/share
and so on. And, all of this is without having to do any weird mounts (I have
g:\cygnus mounted as /) , so anything approaching it would be wonderful; if you
simply had to keep it g:\cygnus\cygwin-b<ver>, that wouldn't be too bad; we'd just
to move everything up one level if we wanted to eliminate it.

This also makes our PATHs, GCC_PREFIX, etc. a whole lot shorter <bg>.

Thanks!

Vince

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".